import request from '@/utils/request'





export function listCommondepartment(params) {
  return request({
    url: '/api/admin/other/admin-department-list',
    method: 'get',
    params: params
  })
}


export function listCommonuser(params) {
  return request({
    url: '/api/admin/other/admin-user-list',
    method: 'get',
    params: params
  })
}

export function uploadFile(data) {
  return request({
    url: '/api/admin/upload-file',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

export function uploadFileByUrl(params) {
  return request({
    url: '/api/admin/url-file',
    method: 'get',
    responseType: 'blob', //此处需要添加blob类型
    params
  })
}





export function remoteStatistic(params) {
  return request({
    url: '/api/admin/other/remot-statistic',
    method: 'get',
    params: params
  })
}
